## org.hibernate.ejb.event
Class EntityCallbackHandler

    java.lang.Object
      org.hibernate.ejb.event.EntityCallbackHandler

All Implemented Interfaces:
  Serializable

    public class EntityCallbackHandler

extends Object
implements Serializable

Keep track of all lifecycle callbacks and listeners for a given persistence unit

Author:
  Kabir Khan
See Also:
  Serialized Form

Constructor Summary
`EntityCallbackHandler()`

Method Summary
`void` `add(org.hibernate.annotations.common.reflection.XClass entity, org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager)`
`boolean` `postCreate(Object bean)`
`boolean` `postLoad(Object bean)`
`boolean` `postRemove(Object bean)`
`boolean` `postUpdate(Object bean)`
`boolean` `preCreate(Object bean)`
`boolean` `preRemove(Object bean)`
`boolean` `preUpdate(Object bean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityCallbackHandler

    public EntityCallbackHandler()

Method Detail

### add

    public void add(org.hibernate.annotations.common.reflection.XClass entity,
                    org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager)

### preCreate

    public boolean preCreate(Object bean)

### postCreate

    public boolean postCreate(Object bean)

### preRemove

    public boolean preRemove(Object bean)

### postRemove

    public boolean postRemove(Object bean)

### preUpdate

    public boolean preUpdate(Object bean)

### postUpdate

    public boolean postUpdate(Object bean)

### postLoad

    public boolean postLoad(Object bean)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.